<mat-card class="example-card">
  <mat-card-header>
    <div mat-card-avatar class="example-header-image"></div>
    <mat-card-title>Shiba Inu</mat-card-title>
    <mat-card-subtitle>Dog Breed</mat-card-subtitle>
    <div class="button-row">
      <button mat-raised-button color="primary">New Question</button>
    </div>
    <mat-checkbox>Multiple Choise</mat-checkbox>
    <mat-checkbox>Written</mat-checkbox>
    <mat-checkbox>One answer</mat-checkbox>

  </mat-card-header>
 <!-- <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu"> -->
  <mat-card-content>
    <s-chip-list [chipList]="questionTypesChipList" (onChipClick)="onQuestionTypeClick($event)"></s-chip-list>

    <div *ngIf="questions" cdkDropList class="example-list" (cdkDropListDropped)="drop($event)" >
      <div class="example-box" *ngFor="let question of questions" cdkDrag>
        {{question.label}}
      </div>
    </div>

    <mat-paginator [length]="length"
                   [pageSize]="pageSize"
                   [pageSizeOptions]="pageSizeOptions"
                   (page)="pageEvent = $event">
    </mat-paginator>

    <div *ngIf="pageEvent">
      <h5>Page Change Event Properties</h5>
      <div>List length: {{pageEvent.length}}</div>
      <div>Page size: {{pageEvent.pageSize}}</div>
      <div>Page index: {{pageEvent.pageIndex}}</div>
    </div>
  </mat-card-content>
</mat-card>



